classification
Title: duplicate Misc.lower
Type: Stage:
Components: Tkinter Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: brunogola, georg.brandl, gpolo, mkiever
Priority: normal Keywords: easy, patch

Created on 2008-04-02 10:40 by mkiever, last changed 2008-05-11 21:34 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
duplicateLower.patch mkiever, 2008-04-02 10:40 patch
remove_lowerdup.patch gpolo, 2008-05-10 14:15 py3k patch
Messages (4)
msg64845 - (view) Author: Matthias Kievernagel (mkiever) * Date: 2008-04-02 10:40
ron longo posted this remark in the Tkinter list:
>Don't know if this is the place to report this.  Not really a 
bug, >however,
>method lower() is defined twice in class Misc in the module 
Tkinter.py. 
>Both definitions are identical.

So I created a patch (against rev62104 which removes the first
occurrence which seems a bit out of order
(second one is grouped with raise).

Matthias.
msg66525 - (view) Author: Bruno Gola (brunogola) Date: 2008-05-10 14:10
The patch seems to be ok, worked here applying it to rev62992 (trunk). 

This "bug" is also on py3k, but Tkinter.py has changed. Could anyone
create and send a patch for py3k?
msg66527 - (view) Author: Guilherme Polo (gpolo) * (Python committer) Date: 2008-05-10 14:15
It hasn't changed that much, but here is a patch against py3k branch rev
62992
msg66676 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-05-11 21:34
Committed as r63097.
History
Date User Action Args
2008-05-11 21:34:20georg.brandlsetstatus: open -> closed
resolution: accepted
messages: + msg66676
nosy: + georg.brandl
2008-05-10 14:15:21gpolosetfiles: + remove_lowerdup.patch
nosy: + gpolo
messages: + msg66527
2008-05-10 14:10:52brunogolasetnosy: + brunogola
messages: + msg66525
2008-04-14 20:53:05akuchlingsetkeywords: + easy
2008-04-02 10:40:03mkievercreate